Skip to main content
`Ctrl`+`K`

# scipy.special.nctdtrit

scipy.special.nctdtrit(df, nc, p, out=None) = <ufunc 'nctdtrit'>

  Inverse cumulative distribution function of the non-central t distribution.

  See `nctdtr` for more details.

  Parameters:
    df array_like

      Degrees of freedom of the distribution. Should be in range (0, inf).

    nc array_like

      Noncentrality parameter.

    p array_like

      CDF values, in range (0, 1].

    out ndarray, optional

      Optional output array for the function results

  Returns:
    t scalar or ndarray

      Quantiles

  See also

  `nctdtr`

    CDF of the non-central t distribution.

  `nctdtridf`

    Calculate degrees of freedom, given CDF and iCDF values.

  `nctdtrinc`

    Calculate non-centrality parameter, given CDF iCDF values.

  Notes

  This function calculates the quantile of the non-central t distribution using the Boost Math C++ library [1].

  Note that the argument order of `nctdtrit` is different from that of the similar `ppf` method of `scipy.stats.nct`: t is the last parameter of `nctdtrit` but the first parameter of `scipy.stats.nct.ppf`.

  References

  [1]

  The Boost Developers. “Boost C++ Libraries”. https://www.boost.org/.

  Examples

      >>> from scipy.special import nctdtr, nctdtrit

  Compute the CDF for several values of t:

      >>> t = [0.5, 1, 1.5]
      >>> p = nctdtr(3, 1, t)
      >>> p
      array([0.29811049, 0.46922687, 0.6257559 ])

  Compute the inverse. We recover the values of t, as expected:

      >>> nctdtrit(3, 1, p)
      array([0.5, 1. , 1.5])